--
-- ### User defined function with no argument in view 
--


drop if exists procedure getTax;
@
create procedure getTax() return int
begin
    return 19;
end;
@

drop if exists table t1;
create table t1 ( a int );
insert into t1 values ( 1 );
insert into t1 values ( 2 );
insert into t1 values ( 3 );

drop if exists view vtax;
create view vtax as
select case when a = 1 then getTax() else 42 end as tax from t1;

select * from vtax;
